# Class HelpAction

java.lang.Object
javax.swing.AbstractAction
uk.ac.starlink.topcat.HelpAction

All Implemented Interfaces:
  `ActionListener, Serializable, Cloneable, EventListener, Action`

public class HelpAction extends AbstractAction
Action which invokes help.

Since:
  25 Jan 2006
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class AbstractAction

`changeSupport, enabled`

### Fields inherited from interface Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Constructor
Description
`HelpAction(String helpID, Component parent)`
Constructs a new help window for a given helpID.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent evt)`
`static boolean`
`helpIdExists(String helpID)`
Tests whether a given helpID is available.

### Methods inherited from class AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Action

`accept`

## Constructor Details

### HelpAction

public HelpAction(String helpID, Component parent)
Constructs a new help window for a given helpID. If helpID is non-null, the corresponding topic will be displayed in the browser when the action is invoked. If it's null, the browser will come up as is.

Parameters:
  `helpID` - help id string
  `parent` - parent window - may be used for positioning

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent evt)

### helpIdExists

public static boolean helpIdExists(String helpID)
Tests whether a given helpID is available.

Parameters:
  `helpID` - the help ID to test
Returns:
  true iff `helpID` is a known ID in this application's HelpSet